Summary: A drag and drop print manager.
Name: OffiX-Printer
Version: 2.4d
Release: 12
Group: Applications/Productivity
Copyright: GPL
Source: ftp://ftp.leb.net/pub/offix/Printer-2.4d.tar.gz
Source1: offix-printer.desktop
Patch: Printer-2.4-Xaw3d.patch
BuildRoot: %{_tmppath}/%{name}-root
Requires: lpr
BuildPreReq: OffiX-devel

%description
OffiX-Printer is an X Window System based print manager with OffiX
drag and drop capabilities.

%prep
%setup -q -n Printer-%{version}
%patch -p1

%build
%configure --with-dnd-inc=%{_includedir}/OffiX \
        --with-dnd-lib=%{_libdir}
make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall
mkdir -p $RPM_BUILD_ROOT%{_prefix}/X11R6/lib/X11/app-defaults
install -c -m 644 src/Printer.ad $RPM_BUILD_ROOT%{_prefix}/X11R6/lib/X11/app-defaults/Printer

cat << EOF > $RPM_BUILD_ROOT%{_bindir}/printer.sh
#!/bin/bash
# make sure we can find lpc
export PATH=\$PATH:/usr/sbin
exec printer
EOF
chmod 775 $RPM_BUILD_ROOT%{_bindir}/printer.sh

install -d $RPM_BUILD_ROOT%{_sysconfdir}/X11/applnk/Applications/
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/X11/applnk/Applications/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING INSTALL README THANKS
%config %{_prefix}/X11R6/lib/X11/app-defaults/Printer
%{_bindir}/*
%{_mandir}/*/*
%{_sysconfdir}/X11/applnk/Applications/offix-printer.desktop

%changelog
* Mon Jul 24 2000 Prospector <prospector@redhat.com>
- rebuilt

* Sat Jul 22 2000 Tim Powers <timp@redhat.com>
- fixed missing BuildPreReq

* Wed Jul 12 2000 Than Ngo <than@redhat.de>
- rebuilt

* Sat Jun 17 2000 Than Ngo <than@redhat.de>
- rebuilt for 7.0
- FHS fixes
- fix offix-printer.desktop
- clean up specfile

* Tue Dec 21 1999 Tim Powers <timp@redhat.com>
- rebuilt for 6.2

* Mon Jun 28 1999 Tim Powers <timp@redhat.com>
- removed exlusivearch line in spec to build for sparc, perhaps it will work
- rebuilt package for powertools 6.1

* Wed Oct 06 1998 Michael Maher <mike@redhat.com>
- built package
- updated spec file

* Tue Jan 27 1998 Otto Hammersmith <otto@redhat.com>
- added desktop

* Thu Jan 22 1998 Otto Hammersmith <otto@redhat.com>
- snagged contrib package and tweaked it a bit
